--------------------------------------------------------
--  DDL for View V6
--------------------------------------------------------

spool CARREGAR_VISTES.log

  CREATE OR REPLACE FORCE VIEW "APPS"."V6" ("CODIPRODUCTE", "DATAPUJADA", "NOMAPLI", "NOMSSOO", "VERSIO", "MIDAAPLIC", "RESOLUCIO", "IDCATEGORIA") AS 
  SELECT 
    P.CODIPRODUCTE, 
    P.DATAPUJADA, 
    AP.NOMAPLI, 
    S.NOMSSOO, 
    P.VERSIO, 
    P.MIDAAPLIC, 
    P.RESOLUCIO, 
    CA.IDCATEGORIA 
FROM 
    PRODUCTE P, 
    APLICACIO AP, 
    SSOO S, 
    CATEGORIA CA 
WHERE 
    P.IDAPLIC = AP.IDAPLICACIO AND P.IDSSOO = S.IDSSOO AND AP.IDCATEGORIA = CA.IDCATEGORIA AND P.ESTATVERSIO = 'A' 
ORDER BY 
    AP.NOMAPLI,
  S.NOMSSOO,
  P.VERSIO;
  
spool OFF  
