/************************************************************************************
   Alumna: Merc Jorquera Teixid
   Base de dades: Oracle 11g
   TFC: DESCARREGA D'APLICACIONS PER A MBILS INTEL.LIGENTS
   SCRIPT: 8-INSERTS_TAULES_AUXILIARS.SQL
************************************************************************************/

spool INSERTS_TAULES_AUXILIARS.log

-------------------------------------------------------------------------------------
-- INSERCIONS A LA TAULA DIVISA --
-------------------------------------------------------------------------------------
INSERT INTO DIVISA (NOMDIVISA, NOMISO4217) VALUES ('EURO','EUR');
INSERT INTO DIVISA (NOMDIVISA, NOMISO4217) VALUES ('DLAR CANADENC','CAD');
INSERT INTO DIVISA (NOMDIVISA, NOMISO4217) VALUES ('LLIURA ESTERLINA','GBP');
INSERT INTO DIVISA (NOMDIVISA, NOMISO4217) VALUES ('WON NORDKOREA','KPW');
INSERT INTO DIVISA (NOMDIVISA, NOMISO4217) VALUES ('DLAR AMERIC','USD');
INSERT INTO DIVISA (NOMDIVISA, NOMISO4217) VALUES ('YUAN','CNY');
commit;

-------------------------------------------------------------------------------------
-- INSERCIONS A LA TAULA IDIOMA --
-------------------------------------------------------------------------------------
INSERT INTO IDIOMA (NOMIDIOMA) VALUES ('CASTELL');
INSERT INTO IDIOMA (NOMIDIOMA) VALUES ('FRANCS');
INSERT INTO IDIOMA (NOMIDIOMA) VALUES ('ANGLS');
INSERT INTO IDIOMA (NOMIDIOMA) VALUES ('ITALI');
INSERT INTO IDIOMA (NOMIDIOMA) VALUES ('KORE');
INSERT INTO IDIOMA (NOMIDIOMA) VALUES ('PORTUGUS');
INSERT INTO IDIOMA (NOMIDIOMA) VALUES ('ALEMANY');
INSERT INTO IDIOMA (NOMIDIOMA) VALUES ('XINES');

commit;
-------------------------------------------------------------------------------------
-- INSERCIONS A LA TAULA PAIS --
-------------------------------------------------------------------------------------

INSERT INTO PAIS (CODIISO,NOMPAIS,IDIDIOMA,IDDIVISA) VALUES ('ES','ESPANYA',1,1);
INSERT INTO PAIS (CODIISO,NOMPAIS,IDIDIOMA,IDDIVISA) VALUES ('FR','FRANA',2,1);
INSERT INTO PAIS (CODIISO,NOMPAIS,IDIDIOMA,IDDIVISA) VALUES ('IT','ITALIA',4,1);
INSERT INTO PAIS (CODIISO,NOMPAIS,IDIDIOMA,IDDIVISA) VALUES ('PT','PORTUGAL',6,1);
INSERT INTO PAIS (CODIISO,NOMPAIS,IDIDIOMA,IDDIVISA) VALUES ('KP','KOREA',5,4);
INSERT INTO PAIS (CODIISO,NOMPAIS,IDIDIOMA,IDDIVISA) VALUES ('US','ESTATS UNITS',3,5);
INSERT INTO PAIS (CODIISO,NOMPAIS,IDIDIOMA,IDDIVISA) VALUES ('CA','CANAD',3,2);
INSERT INTO PAIS (CODIISO,NOMPAIS,IDIDIOMA,IDDIVISA) VALUES ('DE','ALEMANIA',7,1);
INSERT INTO PAIS (CODIISO,NOMPAIS,IDIDIOMA,IDDIVISA) VALUES ('BE','BELGICA',2,1);
INSERT INTO PAIS (CODIISO,NOMPAIS,IDIDIOMA,IDDIVISA) VALUES ('GB','REGNE UNIT',3,3);
INSERT INTO PAIS (CODIISO,NOMPAIS,IDIDIOMA,IDDIVISA) VALUES ('CN','XINA',8,6);
INSERT INTO PAIS (CODIISO,NOMPAIS,IDIDIOMA,IDDIVISA) VALUES ('LU','LUXEMBURG',2,1);
commit;

-------------------------------------------------------------------------------------
-- INSERCIONS A LA TAULA PROVINCIA    --
-------------------------------------------------------------------------------------
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('LLEIDA',1);         
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('BARCELONA',1);      
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('MALAGA',1);         
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('MADRID',1);         
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('MURCIA',1);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('GIRONA',1);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('TARRAGONA',1);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('BRETANYA',2);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('COIMBRA',4);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('ONTARIO',7);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('PIAMONTE',3);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('CALIFORNIA',6);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('GYEONGSANG',5);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('BREMEN',8);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('FLANDES',9);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('GALES',10);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('BERKSHIRE',10);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('TAIWAN',11);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('LUXEMBURG',12);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('NEW YORK',6);
INSERT INTO PROVINCIA (NOMPROVINCIA,IDPAIS)  VALUES ('ALICANTE',1);
 commit;


-------------------------------------------------------------------------------------
-- INSERCIONS A LA TAULA LOCALITAT  LOCALITATS --
-------------------------------------------------------------------------------------
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('LLEIDA',1);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('BALAGUER',1);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('ALCARRAS',1);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('ALPICAT',1);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('ALCOBENDAS',4);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('POZUELO DE ALARCON',4);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('SEUL',13);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('NEWBURY',17);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('MADRID',4);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('PARIS',8);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('CUPERTINO',12);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('TAIPEI',18);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('WATERLOO',10);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('MOUNTAIN VIEW',12);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('LUXEMBURG',19);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('NEW YORK',20);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('ALCOY',21); 
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('PALO ALTO',12);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('TURIN',11);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('PENACOVA',9);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('BREMEN',14);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('BARCELONA',2);
INSERT INTO LOCALITAT (NOMLOCALITAT,IDPROVINCIA) VALUES ('ALMENDRICOS',5);
commit;

--------------------------------------------------------------------------------------------------------------
-- INSERCIONS A LA TAULA GRUP_MATRIU    EMPRESES GRUP MATRIU DELS OPERADORS DE TELEFONIA MBIL --
--------------------------------------------------------------------------------------------------------------

INSERT INTO GRUP_MATRIU (NOMGRUPMATRIU,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES('VODAFONE GROUP','01833679','ST JOHN, 550',8,'A3425','A','10/11/12'  );

INSERT INTO GRUP_MATRIU (NOMGRUPMATRIU,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES('MOVISTAR GROUP','01833680','Ronda de la Comunicacin, 60',9,'28050','A','10/11/12'  );

INSERT INTO GRUP_MATRIU (NOMGRUPMATRIU,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES('CABLEUROPA, S.A.U.','01833681','C/Basauri, 70',9,'28090','A','10/11/12'  );

INSERT INTO GRUP_MATRIU (NOMGRUPMATRIU,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES('FRANCE TELECOM ORANGE GROUPE','01833682','78, rue Olivier-de-Serres',10,'75015','A','10/11/12'  );

INSERT INTO GRUP_MATRIU (NOMGRUPMATRIU,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES('XFERA MVILES, S.A ','01833683','Avda. de la Vega, 15',9,'28108','A','10/11/12'  );
commit;


--------------------------------------------------------------------------------------------------------------
-- INSERCIONS A LA TAULA OPERADORS    OPERADORS DE TELEFONIA MBIL --
--------------------------------------------------------------------------------------------------------------

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES
  ('VODAFONE ESPAA','A80907397',1,1,'Avenida de Europa, 1',5,'28108','A','10/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
  ('MOVISTAR ESPAA','A78923125',1,2,'Ronda de la Comunicacin, 60',9,'28050','A','10/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
  ('ONO ESPAA','A62186556',1,3,'C/Basauri, 70',9,'28090','A','10/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
  ('YOIGO ESPAA','A62186577',1,5,'Avda. de la Vega, 15',9,'28108','A','10/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
  ('ORANGE ESAPAA','A62186588',1,4,'Paseo del Club Deportivo, 1',6,'28223','A','10/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL, ESTAT,
DATAESTAT) VALUES 
  ('VODAFONE FRANA', 'F25871412', 2, 1, 'Av. du Notre Damme, 587', 10,'F5874', 'A', '29/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
('ORANGE ITALY', 'I25789641', 3, 4, 'c/. Piamonte, 874', 19, 'I8796', 'A','29/11/12');

INSERT INTO OPERADORS (NOMOPERADOR, CODIIDENT, IDPAISREGISTRE, IDGRUPMATRIU, ADRECA, IDLOCALITAT,
CODIPOSTAL, ESTAT,DATAESTAT) VALUES 
('VODAFONE ITALY', 'I25871412', 3, 1, 'Av. Leonardo, 77', 19,'I5874', 'A', '29/11/12');

INSERT INTO OPERADORS (NOMOPERADOR, CODIIDENT, IDPAISREGISTRE, IDGRUPMATRIU, ADRECA,  IDLOCALITAT,
CODIPOSTAL, ESTAT,DATAESTAT) VALUES 
('VODAFONE US', 'U25871412', 6, 1, 'Av. WORLD, 411', 16,'US874', 'A', '29/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
('MOVISTAR ITALY','I78923125',3,2,'AV. TRATORIA, 464',19,'I8050','A','10/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
  ('MOVISTAR US','US8923125',6,2,'AV. PEACE, 114',19,'U8050','A','14/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
  ('ONO ITALY','I62186556',3,3,'C/ BERLUSCONI, 72',19,'I8090','A','10/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
  ('YOIGO ITALY','I62186577',3,5,'Avda. CARLA BRUNI, 415',19,'I8108','A','10/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
  ('YOIGO PORTUGAL','P62186577',4,5,'Avda. LISBOA, 25',20,'P8108','A','10/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
  ('ONO CANADA','C62186556',7,3,'C/ QUEBEC, 72',13,'C8090','A','10/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
  ('MOVISTAR ALEMANIA','AL8923125',8,2,'AV. BREMEN, 59',21,'A8047','A','14/11/12');

INSERT INTO OPERADORS (NOMOPERADOR,CODIIDENT,IDPAISREGISTRE,IDGRUPMATRIU,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,
DATAESTAT) VALUES 
  ('MOVISTAR ENGLAND','RU8923125',10,2,'AV. LONDRES, 77',8,'RU047','A','14/11/12');

commit;


----------------------------------------------------------------------------------------------
-- INSERCIONS A LA TAULA FABRICANT FABRICANTS DE DISPOSITIUS MBILS --
----------------------------------------------------------------------------------------------
INSERT INTO FABRICANT (NOMFABRICANT,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,DATAESTAT,ESTAT)
  VALUES ('SAMSUNG','181512147','KING KU,52',7,'T7558','10/11/12','A');

INSERT INTO FABRICANT (NOMFABRICANT,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,DATAESTAT,ESTAT)
  VALUES ('NOKIA','181512148','KING LU, 50',7,'T7559','10/11/12','A');

INSERT INTO FABRICANT (NOMFABRICANT,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,DATAESTAT,ESTAT)
  VALUES ('ALCATEL','181512149','KING KTIU,82',7,'T7559','10/11/12','A');

INSERT INTO FABRICANT (NOMFABRICANT,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,DATAESTAT,ESTAT)
  VALUES ('SONY ERICSON','181512150','KING KAIKU, 71',7,'T7560','10/11/12','A');

INSERT INTO FABRICANT (NOMFABRICANT,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,DATAESTAT,ESTAT)
  VALUES ('APPLE','181512151','ST. ANGEL, 71',11,'US560','10/11/12','A');

INSERT INTO FABRICANT (NOMFABRICANT,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,DATAESTAT,ESTAT)
  VALUES ('MOTOROLA','181512152','ST. KOKI, 471',7,'K4560','10/11/12','A');

INSERT INTO FABRICANT (NOMFABRICANT,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,DATAESTAT,ESTAT)
  VALUES ('LG GROUP','181512153','ST.KIKONG ,62',7,'T7588','10/11/12','A');

INSERT INTO FABRICANT (NOMFABRICANT,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,DATAESTAT,ESTAT)
  VALUES ('HTC CORPORATION','181512154','ST. IOKUJARA ,77',12,'T7589','10/11/12','A');

INSERT INTO FABRICANT (NOMFABRICANT,CODIIDENT,ADRECA,IDLOCALITAT,CODIPOSTAL,DATAESTAT,ESTAT)
  VALUES ('RESEARCH MOTION','181512155','295 Phillip Street',13,'W4781','10/11/12','A');
commit;


-------------------------------------------------------------------------------
-- INSERCIONS A LA TAULA CATEGORIA  TIPOLOGIA DE LES APLICACIOS --
-------------------------------------------------------------------------------
INSERT INTO CATEGORIA (NOMCATEGORIA) VALUES  ('JOCS');
INSERT INTO CATEGORIA (NOMCATEGORIA) VALUES  ('EDUCACIO');
INSERT INTO CATEGORIA (NOMCATEGORIA) VALUES  ('MUSICA');
INSERT INTO CATEGORIA (NOMCATEGORIA) VALUES  ('FINANCES');
INSERT INTO CATEGORIA (NOMCATEGORIA) VALUES  ('TEMPS');
INSERT INTO CATEGORIA (NOMCATEGORIA) VALUES  ('TRAVEL');
INSERT INTO CATEGORIA (NOMCATEGORIA) VALUES  ('REDS SOCIALS');
INSERT INTO CATEGORIA (NOMCATEGORIA) VALUES  ('NOTICIES');
INSERT INTO CATEGORIA (NOMCATEGORIA) VALUES  ('MULTIMEDIA');
INSERT INTO CATEGORIA (NOMCATEGORIA) VALUES  ('PROVES');
commit;


-------------------------------------------------------------------------------
-- INSERCIONS A LA TAULA FORMA_PAGO  FORMES DE PAGAMENT DE LES DESCARREGUES --
-------------------------------------------------------------------------------

INSERT INTO FORMA_PAGO (NOMFORMAPAGO) VALUES ('PAYPAL');
INSERT INTO FORMA_PAGO (NOMFORMAPAGO) VALUES ('TARGETA CREDIT');
INSERT INTO FORMA_PAGO (NOMFORMAPAGO) VALUES ('TRANSFERENCIA');
INSERT INTO FORMA_PAGO (NOMFORMAPAGO) VALUES ('CONTRA REEMBOLSO');
commit;


-----------------------------------------------------------------------------
-- INSERCIONS A LA TAULA SS OO  SISTEMES OPERATIUS --
-----------------------------------------------------------------------------
INSERT INTO SSOO (NOMSSOO) VALUES ('ANDROID');
INSERT INTO SSOO (NOMSSOO) VALUES ('IOS');
INSERT INTO SSOO (NOMSSOO) VALUES ('WINDOWS PHONE');
INSERT INTO SSOO (NOMSSOO) VALUES ('BLACKBERRY');
INSERT INTO SSOO (NOMSSOO) VALUES ('PALM');
INSERT INTO SSOO (NOMSSOO) VALUES ('SYMBIAN');
commit;


--------------------------------------------------------------------------------------------------
-- INSERCIONS A LA TAULA REPRESENTANT  --
--------------------------------------------------------------------------------------------------
INSERT INTO REPRESENTANT (NOM,COGNOM1,COGNOM2,NIF,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES ('ALBERT','CURIA','JORQUERA','78456958A','AVD. CATALUNYA, 45',3,'25140','A','9/11/12');

INSERT INTO REPRESENTANT (NOM,COGNOM1,COGNOM2,NIF,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES ('MARC','CIVIT','CASES','78456977A','AVD. MALLORCA, 47',2,'25180','A','9/11/12');

INSERT INTO REPRESENTANT (NOM,COGNOM1,COGNOM2,NIF,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES ('JOSEP','LLORENS','GARCIA','78454177A','C/. TARREGA, 1',2,'25130','A','9/11/12');

INSERT INTO REPRESENTANT (NOM,COGNOM1,COGNOM2,NIF,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES ('SONIA','AGUSTI','BLASI','43454177A','C/. ORIENT, 10',4,'25111','A','9/11/12');

INSERT INTO REPRESENTANT (NOM,COGNOM1,COGNOM2,NIF,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES ('MARIA','TEIXIDO','RODES','43400177B','C/ CORTS CATALANES, 41',1,'25008','A','9/11/12');

INSERT INTO REPRESENTANT (NOM,COGNOM1,COGNOM2,NIF,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES ('MARTINA','MASGORET','MACIA','43400178X','PASEIG RONDA, 2',19,'I5008','A','9/11/12');

INSERT INTO REPRESENTANT (NOM,COGNOM1,COGNOM2,NIF,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES ('FRANOISE','DUPONT','DUPONT','F3400178X','RUE 13 PERCEBE', 10,'F5008','A','9/11/12');

INSERT INTO REPRESENTANT (NOM,COGNOM1,COGNOM2,NIF,ADRECA,IDLOCALITAT,CODIPOSTAL,ESTAT,DATAESTAT)
  VALUES ('BILL','JOE','MACDOWN','US400178X','AV. PEARSON ,74',16,'U5008','A','9/11/12');
commit;

--------------------------------------------------------------------------------------------------
-- INSERCIONS A LA TAULA MODELS DE DISPOSITIU --
--------------------------------------------------------------------------------------------------
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('SONY Xperia P',4);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('SONY Xperia U',4);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('SONY Xperia MIRO',4);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('SONY Xperia GO',4);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('SONY Xperia S',4);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('SAMSUNG Galaxy S III ',1);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('SAMSUNG Galaxy ACE',1);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('SAMSUNG Galaxy NOTE',1);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('SAMSUNG Galaxy Y PRO',1);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('SAMSUNG Galaxy MINI',1);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('SAMSUNG Galaxy TAB 2 10.1',1);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('APPLE iPhone 4S',5);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('APPLE iPhone 5',5);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('APPLE iPAD MINI',5);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('APPLE iPAD 2',5);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('APPLE iPAD 3',5);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('LG OPTIMUS L5',8);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('LG OPTIMUS L3',8);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('LG OPTIMUS L7',8);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('HTC ONE X',7);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('HTC ONE S',7);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('HTC DESIRE X',7);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('HTC WILDFIRE S',7);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('HTC 8X',7);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('MOTOROLA RAZR MAXX',6);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('MOTOROLA MOTOLUXE',6);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('MOTOROLA DEFY PLUS',6);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('BLACKBERRY 9320',9);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('BLACKBERRY 9380',9);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('BLACKBERRY 9360',9);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('BLACKBERRY 9860',9);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('BLACKBERRY OS 7.0',9);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('ALCATEL DENVER',3);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('NOKIA LUMIA 610',2);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('NOKIA LUMIA 710',2);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('NOKIA LUMIA 800',2);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('NOKIA LUMIA 900',2);
INSERT INTO MODEL_DISPOSITIU  (NOMMODEL,IDFABRICANT) VALUES ('NOKIA LUMIA 920',2);
commit;

spool off
